Get Issued Discounts
curl --request GET \
--url https://api.decodahealth.com/inventory/members/{member_id}/issued-discounts \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/inventory/members/{member_id}/issued-discounts"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/inventory/members/{member_id}/issued-discounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"memberId": "<string>",
"membershipDiscountId": "<string>",
"quantityRemaining": 123,
"membershipDiscount": {
"membershipId": "<string>",
"id": "<string>",
"itemId": "<string>",
"itemCategory": "<string>",
"isPhysical": true,
"discountPercentage": 123,
"discountAmount": 123,
"creditAmount": 123,
"quantity": 123,
"rollover": false,
"rolloverExpiryDays": 123,
"neverExpire": false,
"group": "<string>",
"isArchived": false,
"item": {
"name": "<string>",
"price": 123,
"id": "<string>",
"brandName": "<string>",
"description": "<string>",
"category": "<string>",
"isPhysical": true,
"isArchived": false,
"internalNotes": "<string>",
"taxable": false,
"sortOrder": 123,
"allowCustomPricing": false,
"type": "PRODUCT"
}
},
"expiryDate": "2023-11-07T05:31:56Z",
"usageCount": 0,
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"items": [
{
"chargeId": "<string>",
"quantity": 123,
"price": 123,
"id": "<string>",
"itemId": "<string>",
"name": "<string>",
"description": "<string>",
"discountAmount": 123,
"discountPercentage": 123,
"discountReason": "<string>",
"soldPackageId": "<string>",
"bankedQuantity": 123,
"bankedItemId": "<string>",
"issuedDiscountId": "<string>",
"soldByProviderId": "<string>",
"taxAmount": 123,
"pricingId": "<string>",
"shipmentIds": [
"<string>"
]
}
],
"packages": [
{
"packageId": "<string>",
"patientId": "<string>",
"chargeItemId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"id": "<string>",
"package": {
"name": "<string>",
"price": 123,
"id": "<string>",
"description": "<string>",
"isArchived": false,
"internalNotes": "<string>",
"items": [
{
"packageId": "<string>",
"itemId": "<string>",
"price": 123,
"id": "<string>",
"quantity": 123,
"item": {
"name": "<string>",
"price": 123,
"id": "<string>",
"brandName": "<string>",
"description": "<string>",
"category": "<string>",
"isPhysical": true,
"isArchived": false,
"internalNotes": "<string>",
"taxable": false,
"sortOrder": 123,
"allowCustomPricing": false,
"type": "PRODUCT"
}
}
],
"category": "<string>"
},
"updatedDate": "2023-11-07T05:31:56Z"
}
]
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Inventory
Get Issued Discounts
Get a member’s issued discounts.
GET
/
inventory
/
members
/
{member_id}
/
issued-discounts
Get Issued Discounts
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Query Parameters
Response
Successful Response
Unique identifier for the discount bank entry
ID of the member
ID of the membership discount
Quantity remaining in the bank
Details of the membership discount
Show child attributes
Show child attributes
When this bank entry expires
Number of times this discount has been used
When the bank entry was created
When the bank entry was last updated
Items that have been used from this bank entry
Show child attributes
Show child attributes
Packages that have been used from this bank entry
Show child attributes
Show child attributes
⌘I
